Bug 1119549 - [RFE][heat]: Implement AWS "Updates are not supported" feature
Summary: [RFE][heat]: Implement AWS "Updates are not supported" feature
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/heat...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 04:02 UTC by RHOS Integration
Modified: 2015-03-19 17:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:20:30 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-15 04:02:42 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/heat/+spec/implement-aws-updates-not-supported.

Description:

As Heat tries to maintain compatibility of its AWS resources, a user can expect that a template using Heat's AWS compatible resources will work the same both on Heat and on AWS. Currently though we are missing a specific behavior of some AWS resources on stack update - a property of resource might not support any updates, including UpdateReplace (that is currently our default update behavior).

Specification URL (additional information):

https://review.openstack.org/#/c/105742


Note You need to log in before you can comment on or make changes to this bug.